﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Windows.Data;

namespace Binding
{
    public partial class Page : UserControl
    {

        public Page()
        {
            InitializeComponent();

            Person p = new Person()
            {
                Name = "Erik",
                YesNO = true
            };

            DataContext = p;

            OurTextBox.BindingValidationError += new EventHandler<ValidationErrorEventArgs>(OurTextBox_BindingValidationError);


        }

        void OurTextBox_BindingValidationError(object sender, ValidationErrorEventArgs e)
        {

        }
    }


    public class YesNOConverter : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool val = (bool)value;
            if (val)
                return "yes";
            else
                return
                    "no";

        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //Throw an exception...
            throw new Exception();
        }

        #endregion
    }

    public class Person : INotifyPropertyChanged
    {
        public string Name { get; set; }

        public bool YesNO { get; set; }


        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }

}
