﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DragAndDrop
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            OurRectangle.MouseLeftButtonDown += new MouseButtonEventHandler(OurRectangle_MouseLeftButtonDown);
            OurRectangle.MouseLeftButtonUp += new MouseButtonEventHandler(OurRectangle_MouseLeftButtonUp);
            OurRectangle.MouseMove += new MouseEventHandler(OurRectangle_MouseMove);
        }

        void OurRectangle_MouseMove(object sender, MouseEventArgs e)
        {
            //check flag....

            Rectangle r = (Rectangle)sender;
            r.SetValue(Canvas.TopProperty, (double)0);


            //Absolute coordinates...
            var elements = VisualTreeHelper.FindElementsInHostCoordinates(new Point(), null);
            foreach (UIElement element in elements)
            {
                if (element is IDropTarget)
                {
                    IDropTarget target = (IDropTarget)element;
                    target.acceptDrop(r);
                }
            }

            //e.GetPosition(null);
        }

        void OurRectangle_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            //release capture...
            Rectangle r = (Rectangle)sender;
            r.ReleaseMouseCapture();

        }

        void OurRectangle_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            Rectangle r = (Rectangle)sender;
            double top = (double)r.GetValue(Canvas.TopProperty);

            r.CaptureMouse();
           
        }
    }

    public interface IDropTarget
    {
        void acceptDrop(UIElement element);
    }

    public class DropPanel : Canvas, IDropTarget
    {
        #region IDropTarget Members

        public void acceptDrop(UIElement element)
        {
            throw new NotImplementedException();
        }

        #endregion
    }

}
