﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using ModuleA.Views;
using ModuleA.Services;

namespace ModuleA
{
    public class ModuleA : IModule
    {
        IRegionManager _regionManager;
        IUnityContainer _container;

        public ModuleA(IRegionManager regionManager, IUnityContainer container)
        {
            _regionManager = regionManager;
            _container = container;
        }

        #region IModule Members

        public void Initialize()
        {
            _container.RegisterType<ICompanyService, CompanyService>();
            _regionManager.RegisterViewWithRegion("MainRegion", typeof(ModuleAView));
            
        }

        #endregion
    }
}
