﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Microsoft.Practices.Composite.Presentation.Commands;
using Microsoft.Practices.Unity;
using ModuleA.Services;

namespace ModuleA.Views
{
    public class ModuleAViewModel
    {


        public ModuleAViewModel()
        {
            Companies = new ObservableCollection<Company>();
            SignalSomething = new DelegateCommand<object>(
                executeCommand, canHandleButtonCommand);
        }

        public ObservableCollection<Company> Companies { get; set; }


        public ICompanyService CompanyService { get; set; }



        public DelegateCommand<object> SignalSomething
        {
            get;
            set;
        }

        public bool canHandleButtonCommand(object o)
        {
            return true;
        }

        public void executeCommand(object o)
        {
            if (CompanyService != null)
            {
                Companies.Clear();
                foreach (Company c in CompanyService.getCompanies())
                    Companies.Add(c);
            }
        }
    }
}
